summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2018-05-05 09:45:04 +0200
committerMichał Górny <mgorny@gentoo.org>2018-05-05 17:27:37 +0200
commit2947ba98453e757075dfb1a90f88759b2c6a8d07 (patch)
tree59da7576e72a722ed557eb03ad03a5dff30526e8 /net-misc
parentmedia-sound/pragha: Bump to 1.3.92 (diff)
downloadgentoo-2947ba98453e757075dfb1a90f88759b2c6a8d07.tar.gz
gentoo-2947ba98453e757075dfb1a90f88759b2c6a8d07.tar.bz2
gentoo-2947ba98453e757075dfb1a90f88759b2c6a8d07.zip
net-misc/miniupnpd: Bump to 2.0.20180503
Diffstat (limited to 'net-misc')
-rw-r--r--net-misc/miniupnpd/Manifest1
-rw-r--r--net-misc/miniupnpd/miniupnpd-2.0.20180503.ebuild62
2 files changed, 63 insertions, 0 deletions
diff --git a/net-misc/miniupnpd/Manifest b/net-misc/miniupnpd/Manifest
index 628d0bb0375..bb9d3ac4d92 100644
--- a/net-misc/miniupnpd/Manifest
+++ b/net-misc/miniupnpd/Manifest
@@ -3,3 +3,4 @@ DIST miniupnpd-2.0.20180203.tar.gz 223084 BLAKE2B 14d7b1f8136be5e211ee2e5374b8ee
DIST miniupnpd-2.0.20180222.tar.gz 223697 BLAKE2B f551c9219a3a0a0eda905c953c5f9f45df3f192d3d253111cb35ce51351561ae2547351cb901b91eafc1765bd89b75760063e109bacfae625ff8090563913883 SHA512 a7ee306ccac0673e55780129b3c61de025ec63a653383ae475f08695a95647ae83e5e5978ce6ee166e8d0270a5bd08250613593acaabd0b730178ca2e52dc482
DIST miniupnpd-2.0.20180410.tar.gz 224736 BLAKE2B 76bb4eba8cd3985ff46b1e46543018171a44cee636affb6db75c7b4bfcfa5ef19a678a23467280cf7d199b8fe332cfae6595848c4a2446da2095aecadb82d5f6 SHA512 4a3392b3883e72689e6160941b80533f7254dbaf54407fe2899caef8848d7dbe82ece6079fc39446c162053c1ea1dc10912af0a31d71eb16fbfbec0029dbc645
DIST miniupnpd-2.0.20180422.tar.gz 224942 BLAKE2B 62ec30de6d3551b9f31ed7eb81ceffaf75eeaa91236114f5532218d748e148574fdc195447beecc5cfd6898c2fe28f3e9bf15755979cf34633388194301a51dc SHA512 338ebb03edfd9448a91277c3cc47843a45c1ee9d9e43ba52cd5f897cca8ddc5cbb53dd291056d30a906c68a5dfe0e5eb50169f7ffefab003fcf440de46b83f42
+DIST miniupnpd-2.0.20180503.tar.gz 225454 BLAKE2B d08c1fe050fce4a6f2348ff17f9d03feae04ca99a1b70fd7cc1734f56374f2be73708c5b495cf1a23ae76bd1f0042a90442793a87adb3ed9d0c49678dd8eb0b8 SHA512 7615f28d8e41bbe5b7343159a526ba33e643d14e2be7c2382461fda36ecfb3420ef2903e0cc9fa92ffe376f8609feb9403a316244eec0459e78a6b5ad96462ee
diff --git a/net-misc/miniupnpd/miniupnpd-2.0.20180503.ebuild b/net-misc/miniupnpd/miniupnpd-2.0.20180503.ebuild
new file mode 100644
index 00000000000..9f786c4d43a
--- /dev/null
+++ b/net-misc/miniupnpd/miniupnpd-2.0.20180503.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit toolchain-funcs
+
+DESCRIPTION="MiniUPnP IGD Daemon"
+HOMEPAGE="http://miniupnp.free.fr/"
+SRC_URI="http://miniupnp.free.fr/files/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="+leasefile igd2 ipv6 pcp-peer portinuse strict"
+
+RDEPEND=">=net-firewall/iptables-1.4.6:0=[ipv6?]
+ net-libs/libnfnetlink:=
+ net-libs/libmnl:=
+ dev-libs/gmp:0=
+ sys-apps/util-linux
+ dev-libs/openssl:0="
+DEPEND="${RDEPEND}
+ sys-apps/lsb-release"
+
+src_prepare() {
+ default
+ mv Makefile.linux Makefile || die
+}
+
+src_configure() {
+ local -a opts
+ opts=(
+ --vendorcfg
+ $(usex igd2 '--igd2' '')
+ $(usex ipv6 '--ipv6' '')
+ $(usex leasefile '--leasefile' '')
+ $(usex portinuse '--portinuse' '')
+ $(usex pcp-peer '--pcp-peer' '')
+ $(usex strict '--strict' '')
+ )
+
+ emake CONFIG_OPTIONS="${opts[*]}" config.h
+}
+
+src_compile() {
+ # By default, it builds a bunch of unittests that are missing wrapper
+ # scripts in the tarball
+ emake CC="$(tc-getCC)" STRIP=true miniupnpd
+}
+
+src_install() {
+ emake PREFIX="${ED}" STRIP=true install
+
+ newinitd "${FILESDIR}"/${PN}-init.d-r1 ${PN}
+ newconfd "${FILESDIR}"/${PN}-conf.d-r1 ${PN}
+}
+
+pkg_postinst() {
+ elog "Please correct the external interface in the top of the two"
+ elog "scripts in /etc/miniupnpd and edit the config file in there too"
+}